Skip to content

Notification Center

The Notification Center API provides programmatic access to the notifications surfaced in the Firstup application. It enables developers to query and track notifications, including their status, delivery channel, and engagement events, ensuring alignment with what employees see in their Notification Center hub. Notifications reflect activity such as campaigns, journeys, and post interactions, and respect user preferences and notification settings.

  • The Notification Center API requires authentication as a user.
  • The Notification Center replaces the Assistant Inbox

Fetch the program user's notifications.

Request

Fetches multiple inbox notification records at a time.

Security
oauth2_as_a_user(Required scopes: notification_center)
Query
filter.readboolean

Get only read notifications

filter.unreadboolean

Get only unread notifications

filter.archivedboolean

Get only archived notifications

filter.unarchivedboolean

Get only unarchived notifications

filter.importantboolean

Get only important notifications

filter.action_requiredboolean

Get only notifications with action required

filter.messageboolean

Get only message notifications

filter.activityboolean

Get only activity notifications

page.sizeinteger, (int64)

Return page.size number of records starting at size*number. The default page size is 10 (number of records per page), resulting in the first page being retrieved. The maximum page size is 100.

page.numberinteger, (int64)

Using classical pagination, the page number to return. Default is 1

curl -i -X GET \
  'https://partner.socialchorus.com/v2/notification_center/notifications?filter.read=true&filter.unread=true&filter.archived=true&filter.unarchived=true&filter.important=true&filter.action_required=true&filter.message=true&filter.activity=true&page.size=0&page.number=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objects(Assistant.Inbox.Notifications.Resource)required
Response
{ "data": [ { … } ] }